RSS automations

GET https://pushye.com/api/rss-automations/
curl --request GET \
--url 'https://pushye.com/api/rss-automations/' \
--header 'Authorization: Bearer {api_key}' \
Parametrar Detaljer Beskrivning
search Valfritt StrÀng SökstrÀngen.
search_by Valfritt StrÀng Vilket fÀlt söker du efter? TillÄtna vÀrden Àr: name, title, description, url, rss_url.
website_id Valfritt Heltal
datetime_field Valfritt StrÀng TillÄtna vÀrden: last_check_datetime, next_check_datetime, datetime, last_datetime
datetime_start Valfritt StrÀng Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Valfritt StrÀng Filter results up to this datetime. Y-m-d H:i:s format.
order_by Valfritt StrÀng Vilket fÀlt att sortera resultaten efter. TillÄtna vÀrden Àr: rss_automation_id, datetime, last_datetime, last_check_datetime, next_check_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications.
order_type Valfritt StrÀng Ordningen av resultaten. TillÄtna vÀrden Àr: ASC för stigande ordning, och DESC för fallande ordning.
page Valfritt Heltal Sidanummeret som du vill ha resultat frÄn. StandardinstÀllning Àr 1.
results_per_page Valfritt Heltal Hur mÄnga resultat vill du ha per sida. TillÄtna vÀrden Àr: 10, 25, 50, 100, 250, 500, 1000. StandardvÀrde Àr 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "rss_url": "https://example.com/feex.xml",
            "name": "Example",
            "title": "Sample message",
            "description": "This is coming from the API.",
            "url": "https://example.com",
            "image_url": null,
            "settings": {
                "ttl": 2419200,
                "urgency": "normal",
                "is_silent": 0,
                "is_auto_hide": 0,
                "button_title_1": "",
                "button_url_1": "",
                "button_title_2": "",
                "button_url_2": "",
                "check_interval_seconds": 60,
                "items_count": 3,
                "campaigns_delay": 15
            },
            "segment": "all",
            "is_enabled": true,
            "total_sent_push_notifications": 0,
            "total_displayed_push_notifications": 0,
            "total_clicked_push_notifications": 0,
            "total_closed_push_notifications": 0,
            "last_sent_datetime": null,
            "last_datetime": null,
            "datetime": "2026-04-28 17:00:27",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushye.com/api/rss-automations?page=1",
        "last": "https://pushye.com/api/rss-automations?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/rss-automations?page=1"
    }
}
GET https://pushye.com/api/rss-automations/{rss_automation_id}
curl --request GET \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "rss_url": "https://example.com/feex.xml",
        "name": "Example",
        "title": "Sample message",
        "description": "This is coming from the API.",
        "url": "https://example.com",
        "image_url": null,
        "settings": {
            "ttl": 2419200,
            "urgency": "normal",
            "is_silent": 0,
            "is_auto_hide": 0,
            "button_title_1": "",
            "button_url_1": "",
            "button_title_2": "",
            "button_url_2": "",
            "check_interval_seconds": 60,
            "items_count": 3,
            "campaigns_delay": 15
        },
        "segment": "all",
        "is_enabled": true,
        "total_sent_push_notifications": 0,
        "total_displayed_push_notifications": 0,
        "total_clicked_push_notifications": 0,
        "total_closed_push_notifications": 0,
        "last_sent_datetime": null,
        "last_datetime": null,
        "datetime": "2026-04-28 17:00:27",
    }
}
POST https://pushye.com/api/rss-automations
Parametrar Detaljer Beskrivning
website_id Obligatoriskt Heltal -
rss_url Valfritt StrÀng -
name Obligatoriskt StrÀng -
title Obligatoriskt StrÀng -
description Obligatoriskt StrÀng -
url Valfritt StrÀng -
image Valfritt Fil -
button_title_1 Valfritt StrÀng -
button_url_1 Valfritt StrÀng -
button_title_2 Valfritt StrÀng -
button_url_2 Valfritt StrÀng -
is_silent Valfritt Boolean -
is_auto_hide Valfritt Boolean -
ttl Valfritt StrÀng TillÄtna vÀrden: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source Valfritt StrÀng -
utm_medium Valfritt StrÀng -
utm_campaign Valfritt StrÀng -
check_interval_seconds Valfritt StrÀng TillÄtna vÀrden: 900, 1800, 3600, 21600, 43200, 86400, 259200 (sekunder)
items_count Valfritt StrÀng TillÄtna vÀrden: 1 - 100
campaigns_delay Valfritt StrÀng TillÄtna vÀrden: 5 - 1440
unique_item_identifier Valfritt StrÀng TillÄtna vÀrden: url, publication_date, id
use_rss_image Valfritt Boolean -
disable_rss_automation_on_fail Valfritt Boolean -
is_enabled Valfritt Boolean -
curl --request POST \
--url 'https://pushye.com/api/rss-automations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
    "data": {
        "id": 1
    }
}
POST https://pushye.com/api/rss-automations/{rss_automation_id}
Parametrar Detaljer Beskrivning
website_id Valfritt Heltal -
rss_url Valfritt StrÀng -
name Valfritt StrÀng -
title Valfritt StrÀng -
description Valfritt StrÀng -
url Valfritt StrÀng -
image Valfritt Fil -
button_title_1 Valfritt StrÀng -
button_url_1 Valfritt StrÀng -
button_title_2 Valfritt StrÀng -
button_url_2 Valfritt StrÀng -
is_silent Valfritt Boolean -
is_auto_hide Valfritt Boolean -
ttl Valfritt StrÀng TillÄtna vÀrden: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source Valfritt StrÀng -
utm_medium Valfritt StrÀng -
utm_campaign Valfritt StrÀng -
check_interval_seconds Valfritt StrÀng TillÄtna vÀrden: 900, 1800, 3600, 21600, 43200, 86400, 259200 (sekunder)
items_count Valfritt StrÀng TillÄtna vÀrden: 1 - 100
campaigns_delay Valfritt StrÀng TillÄtna vÀrden: 5 - 1440
unique_item_identifier Valfritt StrÀng TillÄtna vÀrden: url, publication_date, id
use_rss_image Valfritt Boolean -
disable_rss_automation_on_fail Valfritt Boolean -
is_enabled Valfritt Boolean -
curl --request POST \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
    "data": {
        "id": 1
    }
}
DELETE https://pushye.com/api/rss-automations/{rss_automation_id}
curl --request DELETE \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \